/**
 * Copyright (C) 2008 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __APPCONFIG_H__
#define __APPCONFIG_H__

void read_config ();
void write_config ();

void set_locale      (const gchar *code);
void set_kbd_user_defined (gboolean b);
void set_kbd         (const gchar *code);
void set_tz_user_defined (gboolean b);
void set_tz          (const gchar *code);
void set_screensize  (const gchar *code);
void set_next_time   (gboolean nt);
void set_no_x        (gboolean nox);
void set_checkfs     (gboolean check);
void set_persistent  (const gchar *persistent);
void set_lock        (gboolean locked);
void set_reboot_needed (gboolean needed);
void set_is_laptop   (void);
void set_lid_action  (void);

const gchar *get_locale            (void);
const gchar *get_locale_value      (void);
gboolean     get_kbd_user_defined  (void);
const gchar *get_kbd               (void);
const gchar *get_kbd_value         (void);
gboolean     get_tz_user_defined   (void);
const gchar *get_tz                (void);
const gchar *get_tz_value          (void);
const gchar *get_screen            (void);
const gchar *get_screen_value      (void);
const gchar *get_no_x              (void);
const gchar *get_checkfs           (void);
const gchar *get_persistent        (void);
const gchar *get_persistent_value  (void);
gboolean     get_is_laptop         (void);
gboolean     get_lock              (void);
gboolean     get_next_time         (void);
gboolean     get_reboot_needed     (void);

void update_locale_settings (const gchar *locale);
void restore_kbd_config     (void);

int write_lid_config (void);

#define CONFFILE "/cdrom/syslinux.cfg"

#endif /* __APPCONFIG_H__ */

